--- title: "Get player SDK version" slug: "vpe-api-versions" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-versions" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get player SDK version Available in Classic and VPC Get available player SDK versions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/players/versions | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpe.apigw.ntruss.com/api/v1/players/versions' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Array | - | Version list: [result](/docs/en/vpe-api-versions#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `version` | String | - | Player SDK version | | `script_url` | String | - | Web JavaScript SDK URL | | `ios_url` | String | - | iOS native SDK URL | | `aos_url` | String | - | Android native SDK URL | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "200", "message": "ok", "result": [ { "version": "1.1.4", "script_url": "https://player.vpe.naverncp.com/ncplayer.1.1.4.js?access_key={key}", "ios_url": "https://player.vpe.naverncp.com/nativeSDK/ios_ncplayer_sdk.1.1.4.zip", "aos_url": "https://player.vpe.naverncp.com/nativeSDK/aos_ncplayer_sdk.1.1.4.zip" }, { "version": "1.1.3", "script_url": "https://player.vpe.naverncp.com/ncplayer.1.1.3.js?access_key={key}", "ios_url": "https://player.vpe.naverncp.com/nativeSDK/ios_ncplayer_sdk.1.1.3.zip", "aos_url": "https://player.vpe.naverncp.com/nativeSDK/aos_ncplayer_sdk.1.1.3.zip" }, {...} ] } ```